#!/bin/sh
#
# $FreeBSD: ports/misc/compat4x/files/000.compat4x.sh.in,v 1.1 2006/01/07 13:23:48 hrs Exp $
#
# PROVIDE: compat4x
# REQUIRE: ldconfig
#
# Add the following to /etc/rc.conf[.local] to enable this service
#
# compat4x_enable="YES"
#

. /etc/rc.subr

name=compat4x
rcvar=`set_rcvar`

command=/sbin/ldconfig
command_args='-m /usr/local/lib/compat'

start_postcmd=${name}_poststart
compat4x_poststart () {
	/sbin/ldconfig -32 -m /usr/local/lib32/compat
}

load_rc_config ${name}
run_rc_command "$1"
